#include <iostream>

// 1 1 2 3 5 8 13 21 34 ...
// F(n) = F(n - 1) + F(n - 2)
                            // f(5)
            // f(4)
    // f(3)            f(2)                        f(3)
// f(2)    f(1)                                f(2)    f(1)

int fibonacci(int n)
{
    if (n == 1 || n == 2) {
        return 1;
    }

    int trenutni = fibonacci(n - 1) + fibonacci(n - 2);
    return trenutni;
}

int fibonacci_iterative(int n)
{
    int a = 1, b = 1;
    int result;

    while (n > 2) {
        result = a + b;
        a = b;
        b = result;
        n--;
    }

    return result;
}

int main()
{
    // int x;
    // std::cin >> x;

    std::cout << fibonacci(60) << "\n";

    // std::cout << fibonacci_iterative(10000000000) << "\n";

    return 0;
}