#include <iostream>
#include <vector>
#include <climits>

bool palindrom(int *a, int n)
{
    if (n == 0 || n == 1) {
        return true;
    }

    if (palindrom(a + 1, n -2) == false) {
        return false;
    }

    if (*a != *(a + n - 1)) { // return *a == *(a + n - 1)
        return false;
    }
    return true;
}

int main ()
{
    std::vector<int> a = {1,2,1,5,1};

    std::cout << std::boolalpha << palindrom(a.data(), a.size()) << "\n";

    return 0;
}