#include <iostream>
#include <vector>

// s() = 0
//       |
//       v
// s(5) = 5 + s() = 5 + 0 = 5
//                          |
//                          v
// s(4,5) = 4 + s(5) = 4 + 5 = 9
//                             |
//                             v
// s(3,4,5) = 3 + s(4,5) = 3 + 9 = 12
//                                 |
//                                 v
// s(2,3,4,5) => 2 + s(3,4,5) = 2 + 12 = 14
//                                        |
//                                        v
// s(1,2,3,4,5) => 1 + s(2,3,4,5) = 1 + 14 = 15
//                                            |
//                                            v
// main => 15

int sum(std::vector<int> a, int i)
{
    if (i == a.size()) {
        return 0;
    }

    int suma_sledecih = sum(a, i + 1);
    int trenutna_suma = a[i] + suma_sledecih;
    return trenutna_suma;
}

int main()
{
    std::vector<int> a = {1,2,3,4,5};

    std::cout << sum(a, 0) << "\n";

    return 0;
}