#include <iostream>

// 5! = 5 * 4! =
// 5 * 4 * 3! =
// 5 * 4 * 3 * 2! =
// 5 * 4 * 3 * 2 * 1!

// f(1) = 1
// |
// V
// f(2) => 2 * f(1) = 2 * 1 = 2
//                            |
//                            v
// f(3) => 3 * f(2) = 3 * 2 = 6
//                            |
//                            v
// f(4) => 4 * f(3) = 4 * 6 = 24
//                             |
//                             v
// f(5) => 5 * f(4) = 5 * 24 = 120
//                              |
//                              v
// main => 120

int factorial(int n)
{
    if (n == 0 || n == 1) {
        return 1;
    }

    return n * factorial(n - 1);
}

int main ()
{
    std::cout << factorial(5) << "\n";

    return 0;
}