// Napisati rekurzivnu funkciju int f3(int x) koja u poˇcetnom zapisu broja
// x izbacuje svaku neparnu cifru, ukoliko se ispred te cifre nalazi cifra 2. Napisati program koji testira ovu
// funkciju, tako ˇsto sa standardnog ulaza uˇcitava ceo broj x, i na standardni izlaz ispisuje vrednost funkcije
// f3(x). U sluˇcaju greˇske ispisati -1 na standardni izlaz za greˇske.
// Napomena: Zadatak mora biti uradjen rekurzivno. Nije dozvoljeno koriˇs´cenje statiˇckih i globalnih promenljivih,
// menjanje zaglavlja funkcije i pisanje pomo´cnih funkcija.

#include <iostream>

// 0
// | 0
// v
// 3 => / 3 => ob = 0, c = 3 => ob * 10 + c = 3
// | 3
// V
// 32 => 3 2 => ob = 3, c = 2 => ob * 10 + c = 32
// | 32
// v
// 325 => 32 5 => ob = 32, c = 5 => return ob
// | 32
// v
// main

// 0
// | 0
// v
// 2 => / 2, false
// | 2
// v
// 23 => 2 3, true => return ob
// | 2
// v
// 235 => 23 5, false return ob * 10 + c
// |
// v
// 2352 => 235 2, false
// |
// v
// 23523 => 2352 3, true
// |
// v
// main

int f3(int x)
{
    if (x == 0) {
        return 0;
    }

    bool indicator = false;
    int c = x % 10;

    if (c % 2 == 1 && (x / 10) % 10 == 2) {
        indicator = true;
    }

    int ostatak_broja = f3(x / 10);

    if (indicator) {
        return ostatak_broja;
    }

    return ostatak_broja * 10 + c;
}

int main()
{
    int x = 235524;

    std::cout << f3(x) << "\n";

    return 0;
}