#include <iostream>

// x = x / 10
// 12345 / 10 = 1234
// 12345 % 10 = 5
// 12345 => 5 + 1234
// 1234 => 4 + 123
// 123 => 3 + 12
// 12 => 2 + 1
// 1 => 1

// s(1) = 1
//        |
//        v
// s(12) = 2 + s(1) = 2 + 1 = 3
//                            |
//                            v
// s(123) = 3 + s(12) = 3 + 3 = 6
//                              |
//                              v
// s(1234) = 4 + s(123) = 4 + 6 = 10
//                                |
//                                v
// s(12345) = 5 + s(1234) = 5 + 10 = 15
//                                   |
//                                   v
// main => 15

int suma(int x)
{
    if (x < 10) {
        return x;
    }

    int c = x % 10;
    int ostatak_broja = x / 10;
    return c + suma(ostatak_broja);
}

int main ()
{
    int x = -14698;
    int y = std::abs(x);
    std::cout << suma(y) << "\n";

    return 0;
}